hktool
======

Simple HalfKay loader / rebooter.

Reasoning
---------

hktool was created as a basic replacement for teensy-loader-cli.
teensy-loader-cli was a fundamentally messy and confusing implementation of the
HalfKay protocol used by the boot loader chips / code used in Teensy devices.

This reimplementation is a libusb only rewrite of the old loader with a much
simplified command line interface and a design which aims for easy end user
extensibility to support future Teensy devices. This means that if PJRC release
a new teensy device based on a new chip, it should be possible (unless the
HalfKay protocol changes considerably) to simply add a new definition for the
device in the form of a simple plain text file.

Dependencies
------------

 - (make) GNU Make (or compatible)
 - libusb 1.0 (or compatible)
 - POSIX.1-2001 or later (getopt, nanosleep, glob)

Compilation and Installation
----------------------------

Notes on Implementation
-----------------------
